limera1n on 4.2 does not work [EDITED]

Discussion in 'iPad Hacks' started by f4780y, Oct 9, 2010.

  1. f4780y macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #1
    Geohot releaed limera1n about an hour ago. Have tried on my iPad 4.2 Beta 2 - Says it completed normally, but no JB.
    Have seen reports of 3.2.2 success, so am downgrading and trying as we speak... :D

    UPDATE - Geohot confirmed this by updating his site a few hours after release. No support for beta firmware yet...
     
  2. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
    #2
    I'm guessing cause 4.2 is a beta it doesn't work for it yet as I have rebooted an still no cydia icon.... ah well we wait on or downgrade lol
     
  3. tablo13 macrumors 65816

    tablo13

    Joined:
    Jul 29, 2010
    Location:
    Edmonton, Alberta, Canada
    #3
    What does unpatchable mean? That I can't restore the firmware? :(
     
  4. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #4
    No, it just means the exploit will always work... You always have the choice to restore a device to factory settings if you like... You just use iTunes.

    Geo has now confirmed that it wont JB beta OS, but I can confirm it worked fine on 3.2.2 when I donwgraded...
     
  5. ataboc macrumors 6502

    Joined:
    Nov 27, 2007
    Location:
    Ca
  6. henrikrox macrumors 65816

    henrikrox

    Joined:
    Feb 3, 2010
    #6
    Im confused.

    So i had beta 2 on my ipad, and did a full restore to 3.2.2

    Now when i start the icon and press let i rain, nothing happens.

    Is this not going to work for me now?

    I had 3.2.2 when i got my ipad, did a install of 4.2 beta 2, and did a full restore to 3.2.2.

    Will it work?
     
  7. atr macrumors regular

    Joined:
    Dec 16, 2009
    #7
    I'd love to upgrade to 3.2.2 and try it, but it's not out for Mac yet.....

    Think I will stick to my present 3.2.1 jb for now.
     
  8. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #8
    If you are jb on 3.2.1 then there is absolutely no point in using limera1n on 3.2.2. None! Don't do it. The only people that should be looking at it are those who can't get back to 3.2.1...

    3.2.1 and 3.2.2 are identical except for the code that blocked jailbreakme.com!
     
  9. atr macrumors regular

    Joined:
    Dec 16, 2009
    #9
    Point well taken, I don't even know why I was thinking that way.....
     
  10. Meever macrumors 6502a

    Joined:
    Jun 30, 2009
    #10
    It's right on the description

    "Does not support beta"

    :(
     
  11. LinMac macrumors 65816

    Joined:
    Oct 28, 2007
    #11
    4.2 beta jailbroken is what I have been waiting for. I guess we will need to wait even longer.
     
  12. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #12
    Yeah, but it wasn't when it was released... a couple of hours later Geo confirmed and updated his site...
     
  13. freemini macrumors regular

    freemini

    Joined:
    Aug 29, 2009
    Location:
    Norway
    #13
    It says in the description that it does not work with beta iOS, but that's in the Known Bugs section. So that's a bug, that means that it will work after it has been fixed.
     
  14. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #14
    I wouldn't put any faith in where the message appears on the site (i.e. known bugs). It would be unusual to support a beta OS unless it worked without additional coding. In this case it obviously doesn't.
    Much more likely that there will be an update to limera1n when the final 4.2 is available.
     
  15. freemini macrumors regular

    freemini

    Joined:
    Aug 29, 2009
    Location:
    Norway
    #15
    yeah, I have to agree. But who knows, it might work easily but he was focused on 4.1...
     
  16. metec macrumors newbie

    Joined:
    Aug 2, 2008
    #16
    I just noticed that the message about not supporting betas was removed and the following was added to the description "4.0-4.1 and beyond+++" I guess this would include the beta? I don't know if I want to restore again though... (in case it doesn't work)
     
  17. LinMac macrumors 65816

    Joined:
    Oct 28, 2007
    #17
    The reason why the betas aren't supported is that the jailbreak isn't just one piece. There is a bootrom exploit, but it also requires a kernel hack (look for comex for this one) to complete it. Without the kernel hack it is a tethered jailbreak and there is no use in using a perfectly good kernel hack on beta firmware.
     
  18. greenteq macrumors newbie

    Joined:
    Oct 9, 2010
    #18
    I bit the bullet and restored to 4.2.2 (from my fully jailbroken 3.2.2) to try to run limera1n again. This time I used the latest version on the website, beta 4. It still does NOT work.
     
  19. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #19
    Unfortunately it said that since the first release. Geo added the beta disclaimer, and as you say, it is now gone again. But it still won't JB 4.2 Beta... We just have to wait till November...
     
  20. metec macrumors newbie

    Joined:
    Aug 2, 2008
    #20
    :( That's too bad... Thanks for testing it. All I really want is the folders. I guess November isn't too far off...
     
  21. f4780y thread starter macrumors 6502

    f4780y

    Joined:
    Jul 21, 2009
    Location:
    Troon, Scotland
    #21
    Categories + CategoriesSB is a good alternative to IOS4 folders...
     
  22. projectle macrumors 6502

    Joined:
    Oct 11, 2005
    #22
    Who says that tethered wouldn't be okay for those with legit access to 4.2 betas who would also like to have access to a jailbreak?

    I for one am limited to funktastic iPhone testing for my Cydia apps funtionality and iPad testing for UI only until a PwnageTool update is released so that I can build my own bundle.
     
  23. freemini macrumors regular

    freemini

    Joined:
    Aug 29, 2009
    Location:
    Norway
    #23
    I've used tethered jailbreaks for a long time(think ipt2g and 3gs). Another one wouldn't do any bad. I care if it's a jailbreak, not if it's tethered or not.
    RC1b says install issue fixed, mainly with ipad. Maybe it works now. I'm trying it, can't stand the pain of not trying it.
    Nope, it just boots.. I entered DFU mode and it just automatically boots up. I press make it ra1n(while in DFU) and it boots my iPad up. No jailbreak.
     

Share This Page